Page MenuHomePhabricator

Add phan to WikibaseMediaInfo extension
Closed, ResolvedPublic

Description

As wmf deployed extension the WikibaseMediaInfo extension should run phan on CI to found simple bugs in an earlier state of development.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 9:05 PM
Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM

Change 538387 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [WikibaseMediaInfo] Add phan dependency

https://gerrit.wikimedia.org/r/538387

Change 538387 merged by jenkins-bot:
[integration/config@master] [WikibaseMediaInfo] Add phan dependency

https://gerrit.wikimedia.org/r/538387

Mentioned in SAL (#wikimedia-releng) [2019-09-21T19:36:33Z] <James_F> Zuul: [WikibaseMediaInfo] Add phan dependency T224772

Change 538388 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikibaseMediaInfo@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/538388

Change 538440 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [WikibaseMediaInfo] Run phan job

https://gerrit.wikimedia.org/r/538440

Change 538440 merged by jenkins-bot:
[integration/config@master] [WikibaseMediaInfo] Run phan job

https://gerrit.wikimedia.org/r/538440

Change 538388 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/538388

Umherirrender closed this task as Resolved.Tue, Sep 24, 5:46 PM
Umherirrender claimed this task.
Umherirrender triaged this task as Normal priority.